Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class NumberAndSumOfTransactionsPerBankTransactionCode1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.NumberAndSumOfTransactionsPerBankTransactionCode1

    public class NumberAndSumOfTransactionsPerBankTransactionCode1
    extends java.lang.Object

Java class for NumberAndSumOfTransactionsPerBankTransactionCode1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NumberAndSumOfTransactionsPerBankTransactionCode1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NbOfNtries" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max15NumericText" minOccurs="0"/>
             <element name="Sum" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}DecimalNumber" minOccurs="0"/>
             <element name="TtlNetNtryAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}DecimalNumber" minOccurs="0"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CreditDebitCode" minOccurs="0"/>
             <element name="BkTxCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}BankTransactionCodeStructure1"/>
             <element name="Avlbty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CashBalanceAvailability1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<CashBalanceAvailability1>` `avlbty`
`protected BankTransactionCodeStructure1` `bkTxCd`
`protected CreditDebitCode` `cdtDbtInd`
`protected java.lang.String` `nbOfNtries`
`protected java.math.BigDecimal` `sum`
`protected java.math.BigDecimal` `ttlNetNtryAmt`

### Constructor Summary

Constructors
`NumberAndSumOfTransactionsPerBankTransactionCode1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<CashBalanceAvailability1>` `getAvlbty()` Gets the value of the avlbty property.
`BankTransactionCodeStructure1` `getBkTxCd()` Gets the value of the bkTxCd property.
`CreditDebitCode` `getCdtDbtInd()` Gets the value of the cdtDbtInd property.
`java.lang.String` `getNbOfNtries()` Gets the value of the nbOfNtries property.
`java.math.BigDecimal` `getSum()` Gets the value of the sum property.
`java.math.BigDecimal` `getTtlNetNtryAmt()` Gets the value of the ttlNetNtryAmt property.
`void` `setBkTxCd​(BankTransactionCodeStructure1 value)` Sets the value of the bkTxCd property.
`void` `setCdtDbtInd​(CreditDebitCode value)` Sets the value of the cdtDbtInd property.
`void` `setNbOfNtries​(java.lang.String value)` Sets the value of the nbOfNtries property.
`void` `setSum​(java.math.BigDecimal value)` Sets the value of the sum property.
`void` `setTtlNetNtryAmt​(java.math.BigDecimal value)` Sets the value of the ttlNetNtryAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nbOfNtries

    protected java.lang.String nbOfNtries

#### sum

    protected java.math.BigDecimal sum

#### ttlNetNtryAmt

    protected java.math.BigDecimal ttlNetNtryAmt

#### cdtDbtInd

    protected CreditDebitCode cdtDbtInd

#### bkTxCd

    protected BankTransactionCodeStructure1 bkTxCd

#### avlbty

    protected java.util.List<CashBalanceAvailability1> avlbty

### Constructor Detail

#### NumberAndSumOfTransactionsPerBankTransactionCode1

    public NumberAndSumOfTransactionsPerBankTransactionCode1()

### Method Detail

#### getNbOfNtries

    public java.lang.String getNbOfNtries()

Gets the value of the nbOfNtries property.

Returns:
  possible object is `String`

#### setNbOfNtries

    public void setNbOfNtries​(java.lang.String value)

Sets the value of the nbOfNtries property.

Parameters:
  `value` - allowed object is `String`

#### getSum

    public java.math.BigDecimal getSum()

Gets the value of the sum property.

Returns:
  possible object is `BigDecimal`

#### setSum

    public void setSum​(java.math.BigDecimal value)

Sets the value of the sum property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getTtlNetNtryAmt

    public java.math.BigDecimal getTtlNetNtryAmt()

Gets the value of the ttlNetNtryAmt property.

Returns:
  possible object is `BigDecimal`

#### setTtlNetNtryAmt

    public void setTtlNetNtryAmt​(java.math.BigDecimal value)

Sets the value of the ttlNetNtryAmt property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getCdtDbtInd

    public CreditDebitCode getCdtDbtInd()

Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

#### setCdtDbtInd

    public void setCdtDbtInd​(CreditDebitCode value)

Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

#### getBkTxCd

    public BankTransactionCodeStructure1 getBkTxCd()

Gets the value of the bkTxCd property.

Returns:
  possible object is `BankTransactionCodeStructure1`

#### setBkTxCd

    public void setBkTxCd​(BankTransactionCodeStructure1 value)

Sets the value of the bkTxCd property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure1`

#### getAvlbty

    public java.util.List<CashBalanceAvailability1> getAvlbty()

Gets the value of the avlbty property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the avlbty property.

For example, to add a new item, do as follows:

        getAvlbty().add(newItem);

Objects of the following type(s) are allowed in the list `CashBalanceAvailability1`